.inputRadio {
  display: flex;
  justify-content: space-between;
  height: 1.75rem;

  &-item {
    display: inline-flex;
    height: 100%;

    &:after {
      content: '';
      height: 100%;
      border-right: var(--form-switch-border);
    }

    &:first-of-type {
      .inputRadio-label {
        padding-left: 0.875rem;
        border-top-left-radius: 0.25rem;
        border-bottom-left-radius: 0.25rem;
        border-left: var(--form-switch-border);
      }
    }

    &:last-of-type {
      &:after {
        content: none;
      }

      .inputRadio-label {
        padding-right: 0.875rem;
        border-top-right-radius: 0.25rem;
        border-bottom-right-radius: 0.25rem;
        border-right: var(--form-switch-border);
      }
    }
  }

  &-input {
    position: absolute;
    margin: 0;
    appearance: none;
  }

  &-label {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    padding: 0 0.75rem;
    height: 100%;

    font-size: 0.75rem;
    line-height: 1.4;
    font-weight: var(--font-weight-regular);
    color: var(--color-main);
    white-space: nowrap;

    background-color: var(--form-switch-bg);
    border-top: var(--form-switch-border);
    border-bottom: var(--form-switch-border);
    cursor: pointer;

    &:hover {
      background-color: var(--form-switch-hover-bg);
    }
  }

  &-input:checked + &-label {
    border-top: none;
    border-bottom: none;
    background-color: var(--form-switch-active-bg);
    box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.13);
    pointer-events: none;
  }

  &._form-circle {
    height: 1.875rem;

    .inputRadio-item {
      &:first-of-type {
        .inputRadio-label {
          padding-left: 1.5rem;
          border-top-left-radius: 2.5rem;
          border-bottom-left-radius: 2.5rem;
        }
      }

      &:last-of-type {
        .inputRadio-label {
          padding-right: 1.5rem;
          border-top-right-radius: 2.5rem;
          border-bottom-right-radius: 2.5rem;
        }
      }
    }

    .inputRadio-label {
      padding: 0 1.375rem;
      font-weight: var(--font-weight-medium);
    }
  }
}